<!--
 * @Author: your name
 * @Date: 2021-06-18 10:52:28
 * @LastEditTime: 2021-12-21 10:46:00
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \taxFormToolFramework\src\App.vue
-->
<template>
  <div id="taxformtoolframeworkApp">
    <router-view />
  </div>
</template>

<script>
export default {
  name: "App",
  methods: {
    getUrlParam(name) {
      var href = window.location.href.split("?");
      if (href.length > 1) {
        var args = href[1].split("&");
        var cs = "";
        for (var index in args) {
          if (args[index].indexOf(name) != -1) {
            cs = args[index].split("=")[1];
          }
        }
        return cs;
      }
      return "";
    }
  },
  created: function () {
    // this.$store.commit("openData", initData1);
    // var lybz = this.getUrlParam("lybz");
    // lybz = "";
    // config.lybz = lybz;
    // if (lybz == "online" || lybz == "ssfwpt") {
    //   this.$store.commit("platform", "1");
    //   this.$router.push("/taxRelated");
    // } else {
    //   this.$store.commit("platform", "2");
    //   this.$router.push("/cloudAccount");
    // }
    // console.log(initData);
    // console.log(lybz);
  }
};
</script>

<style>
#taxformtoolframeworkApp {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  font-size: 14px;
}
</style>
